Cloud Functions

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Cloud Function 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1DEPRECATED20260430
1.2CURRENT-

OpenAPI URL

https://scf.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Approve PrivateLink Endpoint

1.1.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/approval

Description

PrivateLink Endpoint 승인

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointApproval

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.2 - Check Function Name Duplication

1.2.1 - 1.2

get /v1/cloud-functions/check-duplication

Description

Cloud Function 이름 중복 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
이름
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "result": true
}

1.2.2 - 1.1

get /v1/cloud-functions/check-duplication

Description

Cloud Function 이름 중복 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
이름
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "result": true
}

1.2.3 - 1.0

get /v1/cloud-functions/check-duplication

Description

Cloud Function 이름 중복 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
이름
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "result": true
}

1.3 - Connect PrivateLink Endpoint

1.3.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/connection

Description

PrivateLink Endpoint 연결

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointConnection

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "RECONNECT"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.4 - Create Cloud Function

1.4.1 - 1.2

post /v1/cloud-functions

Description

Cloud Function 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

1.4.2 - 1.1

post /v1/cloud-functions

Description

Cloud Function 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

1.4.3 - 1.0

post /v1/cloud-functions

Description

Cloud Function 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

1.5 - Create Cloud Function Apigateway Trigger

1.5.1 - 1.2

post /v1/triggers/apigateway

Description

Cloud Function 트리거 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.5.2 - 1.1

post /v1/triggers/apigateway

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.5.3 - 1.0

post /v1/triggers/apigateway

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.6 - Create Cloud Function Cronjob Trigger

1.6.1 - 1.2

post /v1/triggers/cronjob

Description

Cloud Function 트리거 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.6.2 - 1.1

post /v1/triggers/cronjob

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.6.3 - 1.0

post /v1/triggers/cronjob

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.7 - Create PrivateLink Endpoint

1.7.1 - 1.2

post /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Description

PrivateLink Endpoint 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "endpoint": {
        "alias": "sample",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
    }
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.8 - Delete Cloud Function

1.8.1 - 1.2

delete /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 204

1.8.2 - 1.1

delete /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 204

1.8.3 - 1.0

delete /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 204

1.9 - Delete Cloud Function Trigger

1.9.1 - 1.2

delete /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

1.9.2 - 1.1

delete /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

1.9.3 - 1.0

delete /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

1.10 - Delete PrivateLink Endpoint

1.10.1 - 1.2

delete /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}

Description

PrivateLink Endpoint 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 204

1.11 - List Cloud Function Triggers

1.11.1 - 1.2

get /v1/triggers

Description

Cloud Function 트리거 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
트리거 타입
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.11.2 - 1.1

get /v1/triggers

Description

Cloud Function 트리거 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
트리거 타입
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.11.3 - 1.0

get /v1/triggers

Description

Cloud Function 트리거 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
트리거 타입
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.12 - List Cloud Functions

1.12.1 - 1.2

get /v1/cloud-functions

Description

Cloud Function 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
이름
Example : sample-function-name
any of [string, null]None
querystate
optional
함수 상태
Example : READY
any of [array[string], string, null]None
queryruntime
optional
런타임
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

1.12.2 - 1.1

get /v1/cloud-functions

Description

Cloud Function 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
이름
Example : sample-function-name
any of [string, null]None
querystate
optional
함수 상태
Example : READY
any of [array[string], string, null]None
queryruntime
optional
런타임
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

1.12.3 - 1.0

get /v1/cloud-functions

Description

Cloud Function 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
이름
Example : sample-function-name
any of [string, null]None
querystate
optional
함수 상태
Example : READY
any of [array[string], string, null]None
queryruntime
optional
런타임
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

1.13 - List Runtimes

1.13.1 - 1.2

get /v1/cloud-functions/runtimes

Description

Runtime 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

1.13.2 - 1.1

get /v1/cloud-functions/runtimes

Description

Runtime 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

1.13.3 - 1.0

get /v1/cloud-functions/runtimes

Description

Runtime 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

1.14 - List Sample Codes

1.14.1 - 1.2

get /v1/cloud-functions/sample-codes

Description

Sample 코드 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

1.14.2 - 1.1

get /v1/cloud-functions/sample-codes

Description

Sample 코드 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

1.14.3 - 1.0

get /v1/cloud-functions/sample-codes

Description

Sample 코드 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

1.15 - Request PrivateLink Endpoint

1.15.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Description

PrivateLink Endpoint 요청

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.16 - Show Cloud Function

1.16.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

1.16.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

1.16.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

1.17 - Show Cloud Function Code

1.17.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.17.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.17.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.18 - Show Cloud Function Configuration

1.18.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

Cloud Function 구성 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfigurationV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "privatelink_endpoints": [],
    "privatelink_service": {
        "private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
        "privatelink_service_enabled": true,
        "privatelink_service_id": "ba30549f550141ef9af6546543s",
        "privatelink_service_name": "PRIVATELINKSERVICE",
        "requested_endpoints": []
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.18.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

Cloud Function 구성 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfiguration
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.18.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

Cloud Function 구성 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfiguration
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.19 - Show Cloud Function Logs

1.19.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/logs

Description

Cloud Function Log 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

1.19.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/logs

Description

Cloud Function Log 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

1.19.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/logs

Description

Cloud Function Log 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

1.20 - Show Cloud Function Metrics

1.20.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

Cloud Function Metric 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

1.20.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

Cloud Function Metric 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

1.20.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

Cloud Function Metric 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

1.21 - Show Cloud Function Trigger

1.21.1 - 1.2

get /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

1.21.2 - 1.1

get /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

1.21.3 - 1.0

get /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

1.22 - Update Cloud Function Code

1.22.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.22.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.22.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.23 - Update Cloud Function Code File

1.23.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/codes/file

Description

Cloud Function 코드 파일 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeFile

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes/file

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "class_name": "com.example.Handler",
    "method_name": "handleRequest",
    "obs_url": "https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.23.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/codes/file

Description

Cloud Function 코드 파일 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeFile

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes/file

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "class_name": "com.example.Handler",
    "method_name": "handleRequest",
    "obs_url": "https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.24 - Update Cloud Function Config

1.24.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

Cloud Function 일반 구성 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

1.24.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

Cloud Function 일반 구성 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

1.24.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

Cloud Function 일반 구성 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

1.25 - Update Cloud Function Cronjob Trigger

1.25.1 - 1.2

put /v1/triggers/cronjob/{trigger_id}

Description

Cloud Function 트리거 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.25.2 - 1.1

put /v1/triggers/cronjob/{trigger_id}

Description

Cloud Function 트리거 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.25.3 - 1.0

put /v1/triggers/cronjob/{trigger_id}

Description

Cloud Function 트리거 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.26 - Update Cloud Function Url

1.26.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

Cloud Function 함수 URL 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

1.26.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

Cloud Function 함수 URL 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

1.26.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

Cloud Function 함수 URL 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

1.27 - Update Cloud Function Variables

1.27.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

Cloud Function 환경 변수 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.27.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

Cloud Function 환경 변수 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.27.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

Cloud Function 환경 변수 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.28 - Update PrivateLink Service

1.28.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Description

PrivateLink Service 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkServicePutRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkService
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "privatelink_service_enabled": true
}

Example HTTP response

Response 202

{
    "private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
    "privatelink_service_enabled": true,
    "privatelink_service_id": "ba30549f550141ef9af6546543s",
    "privatelink_service_name": "PRIVATELINKSERVICE",
    "requested_endpoints": []
}

2 - Models

2.1 - ApigatewayTriggerCreateRequest

NameDescriptionSchemaDefault
apigateway_api_id
required
Apigateway API ID
Example : 31e749b7b260868f441e862b
Pattern : ^[0-9a-f]{24}$
string
apigateway_stage_name
required
Apigateway 스테이지 이름
Example : sample
Pattern : ^[a-z0-9\-]+$
string
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string

2.2 - CloudFunction

NameDescriptionSchemaDefault
account_id
required
어카운트 ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string
function_url
required
함수 URL
Example : https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello
any of [string, null]
id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
name
required
Cloud Functions 이름
Example : sample
string
runtime
required
런타임
Example : Node.js:20
string
state
required
함수 상태
Example : READY
string
user_id
required
사용자 ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string

2.3 - CloudFunctionCreateRequest

NameDescriptionSchemaDefault
content
required
코드 내용
Example : sample
string
name
required
이름
Example : sample-function-name
Pattern : ^[a-z][a-z0-9-]*$
Minimum length : 3
Maximum length : 64
string
runtime
required
런타임
Example : Node.js:20
string
tags
optional
태그 목록
any of [array[Tag], null]

2.4 - CloudFunctionCreateResponse

NameDescriptionSchemaDefault
id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
message
required
설명
Example : Description
string
state
required
함수 상태
Example : READY
string

2.5 - CloudFunctionForList

NameDescriptionSchemaDefault
account_id
required
어카운트 ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string
created_at
required
생성 시간
Example : 2025-05-22T06:21:17.580522
string (date-time)
function_url
required
함수 URL
Example : https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello
any of [string, null]
id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
name
required
Cloud Functions 이름
Example : sample
string
runtime
required
런타임
Example : Node.js:20
string
state
required
함수 상태
Example : READY
string
user_id
required
사용자 ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string

2.6 - CloudFunctionListResponse

NameDescriptionSchemaDefault
cloud_functions
required
내용
array[CloudFunctionForList]
count
required
합계
Example : 20
integer

2.7 - CloudFunctionShowResponse

NameDescriptionSchemaDefault
cloud_function
required

CloudFunction

2.8 - Code

NameDescriptionSchemaDefault
class_name
optional
클래스명
Example : com.example.Handler
any of [string, null]
code_text
optional
코드 내용
Example : ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==
any of [string, null]
code_type
required
코드 유형
Example : text
string
file_name
optional
파일명
Example : sample
any of [string, null]
file_transfer_status
optional
파일 전송 상태
Example : sample
any of [string, null]
file_upload_at
optional
파일 업로드 시간
Example : 2025-05-17 00:23:17
any of [string, null]
method_name
optional
메소드명
Example : handleRequest
any of [string, null]
runtime
required
런타임
Example : Node.js:20
string

2.9 - CodeFile

NameDescriptionSchemaDefault
class_name
required
클래스명
Example : com.example.Handler
string
method_name
required
메소드명
Example : handleRequest
string
obs_url
optional
Object Storage URL
Example : https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar
any of [string, null]

2.10 - CodeSetRequest

NameDescriptionSchemaDefault
content
required
코드 내용
Example : print("Hello World")
string

2.11 - Configuration

NameDescriptionSchemaDefault
config
required
일반 구성
FunctionConfig
url
required
함수 URL
FunctionUrl
variables
optional
환경 변수
any of [array[FunctionVariable], null]

2.12 - ConfigurationV1Dot2

NameDescriptionSchemaDefault
config
required
일반 구성
FunctionConfig
privatelink_endpoints
optional
Endpoints
any of [array[Endpoint], null]
privatelink_service
optional
PrivateLink Service
any of [PrivateLinkService, null]
url
required
함수 URL
FunctionUrl
variables
optional
환경 변수
any of [array[FunctionVariable], null]

2.13 - CronjobTriggerCreateRequest

NameDescriptionSchemaDefault
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string
schedule
required
스케쥴
Example : * * * * 0
string
timezone
required
타임존
Example : Asia/Tokyo
string

2.14 - CronjobTriggerSetRequest

NameDescriptionSchemaDefault
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string
schedule
required
스케쥴
Example : * * * * 0
string
timezone
required
타임존
Example : Asia/Tokyo
string

2.15 - DuplicationShowResponse

NameDescriptionSchemaDefault
result
required
결과
Example : True
boolean

2.16 - Endpoint

NameDescriptionSchemaDefault
endpoint_alias
optional
Alias
Example : sample
any of [string, null]
endpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
service_id
optional
Service Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]
state
required
상태
Example : Active
string

2.17 - EndpointCreateRequest

NameDescriptionSchemaDefault
alias
required
Alias
Example : sample
string
service_id
required
Service Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string

2.18 - FunctionConfig

NameDescriptionSchemaDefault
max_scale
required
최대 작업 수
Example : 5
integer
memory
required
메모리
Example : 256
integer
min_scale
required
최소 작업 수
Example : 1
integer
timeout
required
제한 시간
Example : 100
integer

2.19 - FunctionUrl

NameDescriptionSchemaDefault
allow_ips
optional
허용 IP
Example :
any of [array[string], null]
auth_type
optional
인증 유형
Example : NONE
any of [string, null]
public_endpoint_url
optional
Public 엔드포인트 URL
Example : https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function
any of [string, null]
public_ip_acl_enabled
optional
Public IP 접근 제어 사용
Example : True
any of [boolean, null]
url_enabled
required
URL 사용
Example : True
boolean

2.20 - FunctionUrlRequest

NameDescriptionSchemaDefault
allow_ips
optional
허용 IP
Example :
any of [array[string], null]
auth_type
optional
인증 유형
Example : NONE
any of [string, null]
public_ip_acl_enabled
required
Public IP 접근 제어 사용
Example : True
boolean
url_enabled
required
URL 사용
Example : True
boolean

2.21 - FunctionVariable

NameDescriptionSchemaDefault
key
required

Example : sample
string
value
required

Example : sample
string

2.22 - FunctionVariables

NameDescriptionSchemaDefault
variables
required
환경 변수
array[FunctionVariable]

2.23 - Log

NameDescriptionSchemaDefault
log
required
로그
Example : [2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST
string
time
required
시간
Example : 2025-05-17 00:23:17
string

2.24 - LogShowResponse

NameDescriptionSchemaDefault
count
required
합계
Example : 3
integer
logs
required
로그
array[Log]

2.25 - Metric

NameDescriptionSchemaDefault
metric_data
required
Metric 데이터
Example : 1.0033444816053512
object
time
required
시간
Example : 16:37
string

2.26 - MetricShowResponse

NameDescriptionSchemaDefault
actual_pods
required
실제 파드
array[Metric]
fail_count
required
실패 카운트
array[Metric]
function_memory
required
함수 메모리
array[Metric]
request_count
required
요청 카운트
array[Metric]
request_latency
required
요청 레이턴시
array[Metric]
success_count
required
성공 카운트
array[Metric]

2.27 - PrivateLinkEndpoint

NameDescriptionSchemaDefault
endpoint
required
Endpoint
Endpoint

2.28 - PrivateLinkEndpointApproval

NameDescriptionSchemaDefault
type
required
타입
Example : APPROVE
enum (APPROVE, REJECT)

2.29 - PrivateLinkEndpointConnection

NameDescriptionSchemaDefault
type
required
타입
Example : RECONNECT
enum (DISCONNECT, RECONNECT)

2.30 - PrivateLinkEndpointCreateRequest

NameDescriptionSchemaDefault
endpoint
required
Endpoint
EndpointCreateRequest

2.31 - PrivateLinkEndpointRequest

NameDescriptionSchemaDefault
type
required
타입
Example : CANCEL
enum (CANCEL, RE_REQUEST)

2.32 - PrivateLinkService

NameDescriptionSchemaDefault
private_url
optional
Private Url
Example : https://sample.scf.private.kr-west1.e.samsungsdscloud.com
any of [string, null]
privatelink_service_enabled
required
PrivateLink Service 활성화
Example : True
boolean
privatelink_service_id
optional
PrivateLink Service ID
Example : ba30549f550141ef9af6546543s
any of [string, null]
privatelink_service_name
optional
PrivateLink Service
Example : PRIVATELINKSERVICE
any of [string, null]
requested_endpoints
optional
Endpoint
any of [array[Endpoint], null]

2.33 - PrivateLinkServicePutRequest

NameDescriptionSchemaDefault
privatelink_service_enabled
required
PrivateLink Service 활성화
Example : True
boolean

2.34 - Runtime

NameDescriptionSchemaDefault
base_image_seq
required
기본 이미지 번호
Example : 3
integer
name
required
이름
Example : sample
string
version
required
버전
Example : 1.0.0
string

2.35 - RuntimeListResponse

NameDescriptionSchemaDefault
count
required
합계
Example : 3
integer
runtimes
required
Runtimes List
array[Runtime]

2.36 - SampleCode

NameDescriptionSchemaDefault
content
required
코드 내용
Example : sample
string
default
required
기본값
Example : False
boolean
description
required
설명
Example : sample
string
name
required
이름
Example : sample
string
runtime
required
런타임
Example : Node.js:20
string
seq
required
번호
Example : 3
integer
version
required
버전
Example : sample
string

2.37 - SampleCodesListResponse

NameDescriptionSchemaDefault
count
required
합계
Example : 3
integer
sample_codes
required
Sample Codes List
array[SampleCode]

2.38 - Tag

NameDescriptionSchemaDefault
key
required
태그 키
Example :
string
value
required
태그 값
Example :
any of [string, null]

2.39 - Trigger

NameDescriptionSchemaDefault
alias
required
Alias
Example : $LATEST
string
schedule
optional
스케쥴
Example : * * * * 0
any of [string, null]
timezone
optional
타임존
Example : Asia/Tokyo
any of [string, null]
trigger_id
required
트리거 ID
Example : 1
integer
trigger_name
required
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
trigger_sid
required
트리거 타겟 어카운트 ID
Example : 617b3d0e90c24a5fa1f65a3824861354
any of [string, null]
trigger_target_account_id
required
트리거 타겟 어카운트 ID
Example : 617b3d0e90c24a5fa1f65a3824861354
any of [string, null]
trigger_target_srn
required
트리거 타겟 SRN
Example : srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe
any of [string, null]
trigger_target_uuid
required
트리거 타겟 UUID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]
trigger_type
required
트리거 타입
Example : apigateway
string

2.40 - TriggerCreateResponse

NameDescriptionSchemaDefault
alias
optional
Alias
Example : $LATEST
any of [string, null]
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
triggers
required
트리거
array[TriggerForList]

2.41 - TriggerDeleteRequest

NameDescriptionSchemaDefault
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string
trigger_type
required
트리거 타입
Example : apigateway
string

2.42 - TriggerForList

NameDescriptionSchemaDefault
schedule
optional
스케쥴
Example : * * * * 0
any of [string, null]
timezone
optional
타임존
Example : Asia/Tokyo
any of [string, null]
trigger_id
optional
트리거 ID
Example : 1
any of [integer, null]
trigger_name
required
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
trigger_target_account_id
required
트리거 타겟 어카운트 ID
Example : 617b3d0e90c24a5fa1f65a3824861354
any of [string, null]
trigger_target_srn
required
트리거 타겟 SRN
Example : srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe
any of [string, null]
trigger_target_uuid
required
트리거 타겟 UUID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]
trigger_type
required
트리거 타입
Example : apigateway
string

2.43 - TriggersResponse

NameDescriptionSchemaDefault
alias
required
Alias
Example : $LATEST
string
count
required
합계
Example : 20
integer
triggers
required
트리거
array[TriggerForList]

2.44 - TriggerUpdateResponse

NameDescriptionSchemaDefault
alias
optional
Alias
Example : $LATEST
any of [string, null]
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
triggers
required
트리거
array[TriggerForList]